from pathlib import Path
from saxoncee import *

with PySaxonProcessor(license=True) as saxon_processor:

    print(saxon_processor.version)

    validator = saxon_processor.new_schema_validator()

    input_path = Path.cwd() / '..' / 'test-schemas'

    input_path = str(input_path.resolve())

    print(input_path)

    validator.set_cwd(input_path)

    try:
        validator.register_schema(xsd_file='schema2.xsd')
        validator.validate(file_name='sample2-well-formed-invalid.xml')
        print('XML is valid.')
    except RuntimeError as e:
        print(f'Validation failed: {e}')
